---
layout: post
title: "Using a PS3 controller to play Super MeatBoy on MacOS"
date: 2012-12-02
comments: true
published: true
categories: [ruby]
---

After watching "Indie Game - The Movie", which is excellent, I decided to buy
both Briad and Super MeatBoy.

<!-- more -->

You can buy Super MeatBoy from Steam, you have to download the Steam app. 

Mountain Lion has a driver for the PS3 controller, plug in the controller via
USB and press the PS button.

I first tried playing with the buttonmap.cfg (in the Super MeatBoy package)
file to map the controller buttons, but it did not work with the PS3
controller.

Instead buy and download "GamePad Companion" from the App Store, its about
&pound; 7.

Open it and you should see your PS3 controller in the devices, click on its
icon. Now when you press a button on the controller it will become selected in
the "Button Settings" which is where you map controller buttons to keyboard
buttons.

For each controller button you want to map choose the button action as "Single
Key" and press a key on the keyboard.

In Super MeatBoy you on need left, right, jump and run. I map left and right on
the dpad to the left/right arrow keys, X to Space and Right trigger to Run.

Then turn GamePad Companion "On" and your good to go.

PS. If you like "Indie Game - The Movie" you might also like "King of Kong - A
fist full of dollars".
